# Troubleshooting

## 1. 채널 생성 시 '주소를 확인할 수 없습니다.' <a href="#id-1" id="id-1"></a>

해당 오류는 link\_url 입력 시 해당 주소가 기본 주소 체계(URL)가 아닐 때 발생하는 오류입니다. 주소를 입력하지 않거나 입력하려는 주소를 올바르게 입력해 주십시오.

## 2. 업로드가 되지 않습니다. <a href="#id-2" id="id-2"></a>

보안 강화를 위해서 허용된 타입이 아니면 업로드할 수 없습니다.\
**대시보드 > 설정 > 파일 업로드 허용 타입**에서 image, video, document, compress 와 같이 허용하려는 MIME TYPE을 선택해 주십시오.\
오브젝트 스토리지가 활성화되어 있어야 합니다. [Object Storage](https://www.ncloud.com/product/storage/objectStorage) 상품과 연동한 후 사용해 주십시오.

## 3. 모든 메시지가 수신 됩니다. <a href="#id-3" id="id-3"></a>

여러가지 채널에 가입된 경우 가입된 모든 채널의 메시지가 수신 됩니다.\
channelId를 통해 구분하실 수 있습니다.

```javascript
nc.bind('onMessageReceived',function(channel, message) {       
    // 여러 채널에 가입된 경우 여러 채널의 메시지가 이곳으로 모두 수신됩니다.
    // channel 을 통해서 고객에서 보여줄 채널을 구분해야만 합니다.   
    if(channel == current_channel) {
        console.log(message);
    }
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gamechat.me/basics/game-chat-v3/game-chat/v3/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
